import {
  displayList,
  viewMethodList,
  serialNumberTypeList,
  serialNumberPositionList,
} from '@/views/book/courseware/data/common';

export function getVideoProperty() {
  return {
    serial_number: 1, // 序号
    sn_type: serialNumberTypeList[0].value, // 序号类型：letter字母 number数字  capital大写字母 bracket_number括号数字
    sn_position: serialNumberPositionList[0].value, // 序号位置：top-start top top-end，left-start left left-end等
    sn_display_mode: displayList[0].value,
    view_method: viewMethodList[0].value, // 查看方式：independent独立 list列表
  };
}

export function getVideoData() {
  return {
    type: 'video',
    title: '视频',
    single_size: 2 * 1024, // 单位MB
    total_size: 10 * 1024, // 单位MB
    min_width: '528',
    min_height: '139',
    property: getVideoProperty(),
    file_info_list: [],
    file_id_list: [], // 文件 id['20032-121212', '20032-121216']
    // 内容中包含的文件列表,
    file_list: [],
  };
}
